ranges::v3::move_fn Struct Reference
Algorithms
Inheritance diagram for ranges::v3::move_fn:

## Public Member Functions

template<typename I , typename S , typename O , requires = (InputIterator<I>() && Sentinel<S, I>() && WeaklyIncrementable<O>() && IndirectlyMovable<I, O>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end, O out) const
template<typename Rng , typename O , typename I = iterator_t<Rng>, requires = (InputRange<Rng>() && WeaklyIncrementable<O>() && IndirectlyMovable<I, O>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, O out) const
Public Member Functions inherited from ranges::v3::aux::move_fn
template<typename T , typename U = meta::_t<std::remove_reference<T>>>
U && | operator() (T &&t) const noexcept